@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

//Legend
.ye-selsync-legend {
    &-item {
        // margin-top: $selsync__legend-item--margin-top;
        padding-right: $selsync__legend-item--padding-right;
        display: block;
        float: left;
        max-width: 25%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        @media all and (max-width: $selsync__content-bp-s--width){
            max-width: 50%;
            padding-right: $selsync__legend-item-bp-s--padding-right;
            display: inline-block;
            float: none;
        }

        .z-checkbox {
            padding-left: $selsync__legend-checkbox--padding-left;

            input,
            input[disabled] {
                ~ .z-checkbox-content:before {
                    background-position: center;
                    background-repeat: no-repeat;
                }
            }
            &.ye-selsync-all-selected {
                input,
                input[disabled] {
                    ~ .z-checkbox-content:before {
                        background-color: $selsync__legend-checkbox-selected--bg-color;
                        border-color: $selsync__legend-checkbox-selected--border-color;
                    }
                }
            }
            &.ye-selsync-partially-selected {
                input,
                input[disabled] {
                    ~ .z-checkbox-content:before {
                        background-color: $selsync__tree-checkbox-grey--bg-color;
                        background-image: $selsync__tree-checkbox-grey--bg-image;
                        background-size: $selsync__tree-checkbox--bg-size;
                        border-color: $selsync__tree-checkbox-grey--border-color;
                    }
                }
            }
            &.ye-selsync-none-selected {
                input,
                input[disabled] {
                    ~ .z-checkbox-content:before {
                        background-color: $selsync__tree-checkbox-red--bg-color;
                        background-image: $selsync__tree-checkbox-red--bg-image;
                        background-size: $selsync__tree-checkbox--bg-size;
                        border-color: $selsync__tree-checkbox-red--border-color;
                    }
                }
            }
        }

        .ye-selsync-legend-item-label {
            margin-left: $selsync__legend-item-label--margin-left;
            line-height: $selsync__legend-item--line-height;
        }

        .ye-selsync-tree-attribute-icon {
            width: $selsync__tree-icon-attribute--size;
            height: $selsync__tree-icon-attribute--size;
            background: $selsync__tree-icon-attribute--bg;
            position: relative;
            float: left;
            display: inline-block;
        }

        .ye-selsync-tree-attribute-label {
            font-size: $selsync__tree-label--font-size;
            margin-bottom: $selsync__tree-label--margin-bottom;
            line-height: $selsync__tree-label--line-height;
            max-width: $selsync__tree-label--max-width;
            text-overflow: $selsync__tree-label--text-overflow;
            overflow: $selsync__tree-label--overflow;
            display: $selsync__tree-label--display;
            color: $selsync__tree-label--color;
        }
    }
}